<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Device Query by JS</title>
    <style>
        :root {
            --device-type: 'phone';
        }

        @media screen and (min-width: 430px) {
            :root {
                --device-type: 'tablet';
            }
        }

        @media screen and (min-width: 1025px) {
            :root {
                --device-type: 'desktop';
            }
        }
    </style>
</head>
<body>
    <h1>Device Query by JS</h1>
    <h2>Type: <span id="type"></span></h2>
    <h2>Orientation: <span id="orientation"></span></h2>

    <script>
        function getDeviceType() {
            return getComputedStyle(document.documentElement)
                .getPropertyValue('--device-type')
                .replace(/"/g, '');
        }

        function getDeviceOrientation() {
            const orientationQuery = window.matchMedia('(orientation: landscape)');
            return orientationQuery.matches ? 'landscape' : 'portrait';
        }

        function updateDeviceType() {
            const deviceType = getDeviceType();
            document.querySelector('#type').innerText = deviceType;

            const orientation = getDeviceOrientation();
            document.querySelector('#orientation').innerText = orientation;
        }

        window.addEventListener('load', _ => {
            window.addEventListener('resize', __ => updateDeviceType());
            
            window.matchMedia('(orientation: landscape)').addListener(ev => {
                if (ev.matches) {
                    //...landscape...
                } else {
                    //...portrait...
                }
            });
            
            updateDeviceType();
        });
    </script>
</body>
</html>